# binary

Specifies the external message modification plugin executable that mmexternal invokes.

This parameter applies to Support module for external message modification modules.

Name:

  binary

Scope:

  input

Type:

  string

Default:

  none

Required?:

  yes

Introduced:

  8.3.0

## Description

The name of the external message modification plugin to be called. This can be a full path name. Command-line arguments for the executable can also be included in the string.

## Input usage

    module(load="mmexternal")

    action(
        type="mmexternal"
        binary="/path/to/mmexternal.py"
    )

## See also

See also Support module for external message modification modules.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.